--- title: "Get assignment list" slug: "get-assignments" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-assignments" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get assignment list Available in Classic and VPC Get the assignment list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/assignments | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchWord` | String | Optional | Search keyword - If you enter a value that does not match in whole or in part with `assignmentName`, `items` is displayed as an empty value `[]` in the response. - If you request without `searchColumn`, the entire list is displayed. | | `searchColumn` | String | Conditional | Search column - `assignmentName`: assignment name (valid value) - Example: `searchColumn=assignmentName` - When an invalid value is entered, the entire list is displayed. | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/assignments?searchColumn=assignmentName&searchWord=assignment000&page=0&size=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | - | Page number | | `totalPages` | Number | - | Total number of pages | | `totalItems` | Number | - | Number of response results | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `items` | Array | - | Assignment list: [items](/docs/en/get-assignments#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignmentId` | String | - | Assignment ID | | `assignmentName` | String | - | Assignment name | | `description` | String | - | Assignment description | | `nrn` | String | - | NAVER Cloud Platform resource identification value for assignment | | `status` | String | - | Assignment status - `active` \| `suspended` - `active`: in use (enabled) - `suspended`: suspended (disabled) | | `iamRoleNrn` | String | - | NRN of the SSO role created in the Sub Account service - NAVER Cloud Platform resource identification value list for IAM role | | `consoleAccessAllowed` | Boolean | - | Whether to allow console access - `true` \| `false` - `true`: allow - `false`: not allow | | `consoleAccessRestricted` | Boolean | - | Whether to restrict console access - `true` \| `false` - `true`: restrict - `false`: not restrict | | `apiAccessAllowed` | Boolean | - | Whether to allow API Gateway access - `true` \| `false` - `true`: allow - `false`: not allow | | `apiAccessRestricted` | Boolean | - | Whether to restrict API Gateway access - `true` \| `false` - `true`: restrict - `false`: not restrict | | `createdAt` | String | - | Assignment creation date and time - ISO 8601 format | | `updatedAt` | String | - | Last assignment modification date and time - ISO 8601 format | | `accountMbrNo` | Number | - | Account member ID (MemberNo) | | `accountName` | String | - | Account username | | `accountAlias` | String | - | Account nickname | | `permissionSetId` | String | - | Permission set ID | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "totalPages": 1, "totalItems": 1, "isFirst": true, "isLast": true, "hasPrevious": false, "hasNext": false, "items": [ { "assignmentId": "e1653f17-****-****-****-deb664fb8a2f", "assignmentName": "assignment000", "description": "assignment description", "nrn": "nrn:PUB:SSO::*******:Assignment/e1653f17-****-****-****-deb664fb8a2f", "status": "active", "iamRoleNrn": "nrn:PUB:IAM::*******:Role/385550d0-****-****-****-005056a79baa", "consoleAccessAllowed": true, "consoleAccessRestricted": false, "apiAccessAllowed": true, "apiAccessRestricted": false, "createdAt": "2025-01-13T02:36:40Z", "updatedAt": "2025-01-13T02:36:40Z", "accountMbrNo": *******, "accountName": "Gildong Hong", "accountAlias" : "-", "permissionSetId": "3fcd3c17-****-****-****-2a594248bf28" } ] } ```